*,
*::after,
*::before{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

}

body{
    font-family: 'Trispace', sans-serif;
    font-weight: 300;
    background-color: #f7f7f7;
    transition: 0.5s;
}

.dark-mode{
  background-color: #0F1A20;
  transition: 0.5s;
}

a{
  text-decoration: none;
  color: unset;
}



.content-container{
    display: flex;
    max-width: 992px;
    margin: 0 auto;
    padding-top: 95px;
}

::-webkit-scrollbar{
    width: 6px;
    height: 6px;
    }
    ::-webkit-scrollbar-thumb{
    background: #0F1A20;
    border: 3.7px none #525252;
    border-radius: 0px;
    }
    ::-webkit-scrollbar-thumb:hover{
    background: #1B445C;
    }
    ::-webkit-scrollbar-track{
    background: #E5E5E5;
    border-radius: 0px;
    box-shadow: inset 0px 0px 0px 0px #F0F0F0;
    }




/* ----------------- MENU LATERAL ----------------- */



.side-menu{
    /* max-width: 100%; */
    /* height: 100%; */
    /* background-color: aqua; */    
    margin: 0 auto;
    /* padding: 40px 0; */
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    z-index: 2;
    /* position: -webkit-sticky;
    position: sticky; */
    top: 40px;
    /* margin-left: 165px; */
    position: fixed;
}

.menu-logo{      
    font-weight: 600;
    font-size: 30px;   
    position: relative;
    color: #0f1a20;
    white-space: nowrap; 
}

.menu-logo::before{
    background-color: #f42c04;
    content: "";
    display: block;
    position: absolute;
    width: 322px;
    height: 47px;
    left: -8px;
    bottom: -6px;
    border: none;
    z-index: -1;
}


.side-menu__pages__elements{
    padding-top: 45px;
    position: relative;
    font-weight: 600;
    
}

.side-menu__pages__elements__expand-arrow{
    margin-left: -5px;
    top: 6px;
    position: relative;
    transform: rotate(0deg);
    transition: transform 1s linear;
    
}

/* 
#side-menu__pages__elements__expand-arrow .open{
    transform: rotate(180deg);
    transition: transform 1s linear;
    display: none;
} */



/* .side-menu__pages__elements__expand-arrow__opened{
    margin-left: -5px;
    top: 6px;
    position: relative;
    transform: rotateX(90);
    transition: transform 1s linear;
} */


.side-menu__pages__elements__fotografia-filtro{
    padding-left: 40px;
    padding-top: 12px;
    display: none;
    transition: 1s;
}


/* .side-menu__pages__elements:first-child:before{
    content: "";
    display: block;
    position: absolute;
    width: 2px;
    height: 72px;
    left: 1px;
    bottom: 3px;
    background-color: #0f1a20;
} */

.side-menu__pages__elements__fotografia-filtro__sideline{
  content: "";
    display: none;
    position: absolute;
    width: 2px;
    height: 72px;
    left: 1px;
    bottom: 3px;
    background-color: #0f1a20;
}

.socials{
    display: flex;
}

.socials div:first-child{
    margin-right: 16px;
}

/* --------------------------------------------------- */
/* Dropdown Button */
.dropbtn {
  padding-top: 45px;
  font-weight: 700;
  cursor: pointer;
  
}


/* .dropbtn .side-menu__pages__elements__expand-arrow{
  transform: rotateX(180deg);
} */


/* .dropdown-content .side-menu__pages__elements__expand-arrow{
  transform: rotateX(180deg);
} */


.dropdown {
  position: relative;
  display: inline-block;
  
}


.dropdown-content {
  display: none;
  /* position: absolute; */  
  min-width: 160px;    
  
}


.dropdown-content:before{
  content: "";
  display: block;
  position: absolute;
  width: 2px;
  height: 72px;
  left: 6px;
  bottom: 9px;
  background-color: #0f1a20;
}


.dropdown-content a {
  color: black;
  padding: 6px 30px;
  text-decoration: none;
  display: block;
  
}

/* Show the dropdown menu (use JS to add this class to the .dropdown-content container when the user clicks on the dropdown button) */
.show {
  display:block;
}

/* ---------- BOTÃO SWITCH THEME ------------ */

.switch {
    position: relative;
    display: inline-block;
    width: 76px;
    height: 34px;
    background-image: url(../img/icons/switch-icon-moon.svg);
    background-repeat: no-repeat;
    background-position-x: 33px;
    background-position-y: 4px;
    
  }
  
  /* Hide default HTML checkbox */
  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }

  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #88A2AA;
    -webkit-transition: .4s;
    transition: .4s;
    background-image: url(../img/icons/switch-icon-moon.svg);
    background-repeat: no-repeat;
    background-position-x: 46px;
    background-position-y: 4px;
    
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 16px;
    bottom: 4px;
    background-color: #f7f7f7;
    -webkit-transition: .4s;
    transition: .4s;
    border-radius: 30px;
    background-image: url(../img/icons/switch-icon-sun.svg);
    background-repeat: no-repeat;
    background-size: 85%;
    background-position-x: 2px;
    background-position-y: 2px;
  }
  
  input:checked + .slider {
    background-color: #62767c;
    background-image: url(../img/icons/switch-icon-sun.svg);
    background-repeat: no-repeat;
    background-position-x: 6px;
    background-position-y: 5px;
    
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #62767c;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
    background-image: url(../img/icons/switch-icon-moon.svg);
    background-repeat: no-repeat;
    background-size: 85%;
    background-position-x: 2px;
    background-position-y: 2px;
  }


/* ----------- PÁGINA 1 -------------- */
/* -------- GALERIA DE FOTOS -------- */

.main-container{
    /* max-width: 1110px; */
    width: 100%;
    /* background-color: aqua;     */
    margin: 0 auto;
    /* padding: 40px 0; */
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-end;
    z-index: 1;
    position: relative;
}

/* .column{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    flex
    max-width: 100%;
}

.column img{
    width: 100%;
} */

.row {
    display: flex;
    flex-wrap: wrap;
    padding: 0 4px;
    max-width: 75%;
  }
  
  /* Create four equal columns that sits next to each other */
  .column {
    flex: 50%;
    max-width: 50%;
    padding: 0 10px;
  }

  
  
  .column img {
    /* margin-top: 8px; */
    vertical-align: middle;
    width: 100%;
    border: 4px solid #0F1A20;
    margin-bottom: 20px;
  }

  .image {
    opacity: 1;
    display: block;
    width: 100%;
    height: auto;
    transition: .5s ease;
    backface-visibility: hidden;    
    
  }

  

  .column .image:hover  {
    background-image: url(../img/icons/resize.svg);
    background-size: cover;
    
    filter: grayscale(10);
    cursor: pointer;
    /* mix-blend-mode: color-dodge;    
    filter: rgba(244, 44, 4, 0.30); */
    
    
  }

  

/* ----------- PÁGINA 2 -------------- */
/* ---------- WEB DESIGN ------------- */

.web-design-card{
  background-color: #88a2aa;
  border: solid 4px #0F1A20;
  display: flex;
  flex-wrap: wrap;
  max-width: 700px;
  /* max-height: 300px;   */
  /* overflow: scroll; */
  /* position: relative; */
  z-index: 1;
  margin-bottom: 50px;
  
}

.web-design-card
.web-design-card__content{
  text-align: justify;
  padding: 20px 20px 0px 20px;
  z-index: 1;
  overflow-y: scroll;
  max-height: 300px;
  
}

.web-design-card
.web-design-card__content img{
  max-width: 100%;
  padding-top: 20px;  
}

.web-design-card__content__title{
  font-weight: bold;
  padding-bottom: 20px;
  
}


.view-project-btn{
  width: 100%;
  height: 60px;
  background-color: #0f1a20;
  box-shadow: 0 -40px 43px 0 rgba(0, 0, 0, 0.25);
  border: none;
  border-radius: 0px;
  z-index: 4;
  font-family: 'Trispace', sans-serif;
  color: #F7F7F7;
  font-weight: 700;
  letter-spacing: 0.25em;
  /* position: absolute;   */
  /* top: 286px; */
  background-image: url(../img/icons/lupa.svg);
  background-repeat: no-repeat;
  background-position-x: 465px;
  background-position-y: 20px;
  background-size: 20px;
  cursor: pointer;

}

.web-design-card
button{
  display: block;
}







/* ----------- PÁGINA 3 -------------- */
/* ------- SOBRE MIM/CONTATO --------- */

/* .about-me__container
img{
  max-width: 90%;
} */

.main-container
.about-me__container{
  width: 100%;
    /* background-color: aqua;     */
    margin: 0 auto;
    /* padding: 40px 0; */
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-end;
    z-index: 1;
}

.about-me__container
.column p{
  text-align: justify;
}

.about-me__container
.column:first-child{
  max-width: 45%;
}

.about-me__container
.column img {
  margin-top: 0px;
  filter: grayscale(30);
  transition: .5s ease;
}

.about-me__container
.column img:hover {  
  filter: none;
}

.about-me__container 
.row{
  padding: 0px;
}

.about-me__container 
.column:last-child {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  max-height: 85%;
  position: relative;
}

/* .about-me__container
.column:last-child{
  max-width: 100%;
  padding-left: 20px;
} */

.about-me__container a{
  text-decoration: none; 
  color: #88A2AA;
}

.about-me__container h2{
  font-size: 20px;
  color: #0F1A20;
  margin-bottom: 10px;
}

.about-me__container p{
  color: #88A2AA;
  font-size: 16px;
  /* margin-top: 20px;
  margin-bottom: 20px; */
}

/* .about-me__container
.column div{
  margin-bottom: 20px;
  margin-top: 7px;
} */

.about-me__container::after{
  background-color: #0F1A20;
  content: "";
  display: block;
  position: absolute;
  width: 356px;
  height: 4px;
  left: 593px;
  bottom: 21px;
  border: none;
  z-index: -1;
}



@media only screen and (min-width: 992px) {

}

@media only screen and (max-width: 991px) and (min-width: 769px){

  .content-container{
    /* max-width: 769px; */
    margin: auto 31px;
  }

  .side-menu{
    /* margin: 0px 31px; */
  }

  .side-menu__pages__elements{
    font-size: 14px;
  }

  .dropbtn{
    font-size: 14px;
  }

  .side-menu__pages__elements__expand-arrow{
    max-width: 20px;
    top: 5px;
  }

  .dropdown-content a{
    font-size: 14px;
  }

  .dropdown-content:before{
    
    height: 68px;
    left: 5px;
    bottom: 9px;    

}

  .web-design-card{
    max-width: 67vw;
    /* margin-right: 31px; */
  }

  .about-me__container .row{    
    flex-wrap: nowrap;    
    max-width: 100%;
    flex-direction: column;
    align-items: flex-end;
  }

  .about-me__container .column{
    max-width: 74%;
    display: flex;
  }

  .about-me__container .column:first-child {
    max-width: 100%;
  }

  .about-me__container .column img{
    width: 66vw;
    height: 370px;
    object-fit: cover;
    margin-bottom: 16px;
  }

  .about-me__container::after{
    background-color: #0F1A20;
    content: "";
    display: none;
    /* position: absolute;
    width: 356px;
    height: 4px;
    left: 593px;
    bottom: 21px;
    border: none;
    z-index: -1; */
  }

  .about-me__container h2{
    margin: 10px auto;
  }

}

@media only screen and (max-width: 768px){

  

}